package api

import (
	"github.com/gin-gonic/gin"
	"html/template"
)

func LoadTemplates(server *gin.Engine) {
	server.SetFuncMap(template.FuncMap{
		"boolcmp": func(value *bool, expected string) bool {
			if value == nil {
				return expected == "nil"
			} else {
				return (*value && expected == "true") || (!(*value) && expected == "false")
			}
		},
		"deferint": func(value *int) int { return *value },
		"intpeq": func(selected *int, value int) bool {
			if selected != nil {
				return *selected == value
			}
			return false
		},
	})
	server.LoadHTMLFiles(
		"templates/index.gohtml",
		"templates/results.gohtml",
		"templates/documentation.gohtml",

		"templates/admin_dashboard.gohtml",
		"templates/countries.gohtml",

		"templates/dialogs/copy-year.gohtml",

		"templates/dialogs/add-holiday.gohtml",
		"templates/dialogs/edit-holiday.gohtml",
		"templates/dialogs/delete-holiday.gohtml",

		"templates/dialogs/add-country.gohtml",
		"templates/dialogs/edit-country.gohtml",
		"templates/dialogs/delete-country.gohtml",
	)
}
